Package org.apache.synapse.commons.emulator.core

# Class Emulator

java.lang.Object
java.lang.Thread
org.apache.synapse.commons.emulator.core.Emulator

All Implemented Interfaces:
  `Runnable`

public class Emulator extends Thread

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Thread

  `Thread.Builder, Thread.State, Thread.UncaughtExceptionHandler`

- ## Field Summary

  ### Fields inherited from class java.lang.Thread

  `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Emulator()`
  Constructor of the class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HTTPProtocolEmulator`
  `getHttpProtocolEmulator()`
  Get the HTTPProtocolEmulator object.
  `void`
  `run()`
  `void`
  `shutdown(EmulatorType emulatorType)`

  ### Methods inherited from class java.lang.Thread

  `activeCount, checkAccess, clone, countStackFrames, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, isVirtual, join, join, join, join, ofPlatform, ofVirtual, onSpinWait, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, sleep, start, startVirtualThread, stop, suspend, threadId, toString, yield`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Emulator

    public Emulator()
    Constructor of the class.

- ## Method Details

  - ### getHttpProtocolEmulator

    public HTTPProtocolEmulator getHttpProtocolEmulator()
    Get the HTTPProtocolEmulator object.
    Returns:
      object of HTTPProtocolEmulator

  - ### run

    public void run()
    Specified by:
      `run` in interface `Runnable`
    Overrides:
      `run` in class `Thread`

  - ### shutdown

    public void shutdown(EmulatorType emulatorType)